### Constructor

# ICalGLib TimeSpan new_timet

since: 3.0.5

#### Declaration [src]

    ICalTimeSpan*
    i_cal_time_span_new_timet (
      time_t start,
      time_t end,
      gboolean is_busy
    )

#### Description [src]

Creates a new `ICalTimeSpan`. Free it with g_object_unref(), when no longer needed.

Available since: 3.0.5

#### Parameters

`start`

  Type: `time_t`

  Start of the time span.

`end`

  Type: `time_t`

  End of the time span.

`is_busy`

  Type: `gboolean`

  Whether the time span is busy.

#### Return value

Type: `ICalTimeSpan`

The newly created `ICalTimeSpan`.

The caller of the function takes ownership of the data, and is responsible for freeing it.